LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 05-03-2017, 05:23 AM   #1
jrfr
LQ Newbie
 
Registered: Sep 2012
Posts: 14

Rep: Reputation: Disabled
mozilla-nss needs an upgrade


It seems mozilla-nss needs an upgrade to version 3.24 :

/usr/lib64/seamonkey-2.46/libnss3.so: /usr/lib64/libnssutil3.so: version
`NSSUTIL_3.24' not found (required by
/usr/lib64/seamonkey-2.46/libnss3.so)

/usr/lib64/seamonkey-2.46/libssl3.so: /usr/lib64/libnssutil3.so: version
`NSSUTIL_3.24' not found (required by
/usr/lib64/seamonkey-2.46/libssl3.so)

/usr/lib64/seamonkey-2.46/libnssdbm3.so: /usr/lib64/libnssutil3.so:
version `NSSUTIL_3.24' not found (required by
/usr/lib64/seamonkey-2.46/libnssdbm3.so)
 
Old 05-03-2017, 05:54 AM   #2
ponce
Senior Member
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 3,889

Rep: Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920Reputation: 1920
hi jrfr,

how do you got that error? using ldd? you can safely ignore that.
I'm asking because seamonkey uses its own nss libraries, you can find them in /usr/lib64/seamonkey-2.46, it's just that ldd finds the ones in /usr/lib64 first.
Code:
$ strings /usr/lib64/seamonkey/libnssutil3.so | grep NSSUTIL_3.24
NSSUTIL_3.24
 
1 members found this post helpful.
Old 05-04-2017, 02:58 AM   #3
jrfr
LQ Newbie
 
Registered: Sep 2012
Posts: 14

Original Poster
Rep: Reputation: Disabled
mozilla-nss

Thanks for your answer

I have these mesages by ldd
 
Old 07-18-2017, 11:43 AM   #4
Drakeo
Senior Member
 
Registered: Jan 2008
Location: Urbana IL
Distribution: Slackware, Slacko,
Posts: 3,248
Blog Entries: 3

Rep: Reputation: 348Reputation: 348Reputation: 348Reputation: 348
Any one need to upgrade check out my build it builds in 14.2 and current
https://github.com/Drakeo/mozilla-nss.SlackBuild nss-3.30.2
 
Old 07-18-2017, 04:58 PM   #5
USUARIONUEVO
Member
 
Registered: Apr 2015
Posts: 682

Rep: Reputation: 207Reputation: 207Reputation: 207
I request some NSS upgrades in the current thread , but at the moment no luck :=)
 
1 members found this post helpful.
Old 09-06-2017, 03:01 PM   #6
dagmoller
LQ Newbie
 
Registered: May 2015
Posts: 2

Rep: Reputation: Disabled
Quote:
Originally Posted by Drakeo View Post
Any one need to upgrade check out my build it builds in 14.2 and current
https://github.com/Drakeo/mozilla-nss.SlackBuild nss-3.30.2
github returns 404 not found...
 
1 members found this post helpful.
Old 09-08-2017, 05:52 AM   #7
stormtracknole
Member
 
Registered: Aug 2005
Location: The Big Easy
Distribution: Slackware, RHEL
Posts: 969

Rep: Reputation: 125Reputation: 125
Looks like the latest version of Google Chrome (61.0.3163.79) requires at least version 3.26. Since the last Chrome update, it no longer starts. I get this messages when using the command line:

Code:
[11704:11740:0908/054738.764399:FATAL:nss_util.cc(632)] NSS_VersionCheck("3.26") failed. NSS >= 3.26 is required. Please upgrade to the latest NSS, and if you still get this error, contact your distribution maintainer.
Aborted
 
3 members found this post helpful.
Old 09-08-2017, 09:18 AM   #8
tiago4171
LQ Newbie
 
Registered: Aug 2016
Posts: 6

Rep: Reputation: Disabled
Same here, waiting for an package upgrade.

A Workaround is install Chromium package from Alien repository and copy your google-chrome profile to Chromium.
http://www.slackware.com/~alien/slackbuilds/chromium/

$ cp -r ~/.config/google-chrome/Default/ ~/.config/chromium/
 
1 members found this post helpful.
Old 09-08-2017, 12:35 PM   #9
glorsplitz
Member
 
Registered: Dec 2002
Distribution: slackware!
Posts: 497

Rep: Reputation: 88
same here as stormtracknole
 
Old 09-08-2017, 02:28 PM   #10
stormtracknole
Member
 
Registered: Aug 2005
Location: The Big Easy
Distribution: Slackware, RHEL
Posts: 969

Rep: Reputation: 125Reputation: 125
I just updated the SlackBuild packges myself and Google Chrome is now working. I also realized that -current also has the same version and will need a bump too.
 
Old 09-08-2017, 02:58 PM   #11
glorsplitz
Member
 
Registered: Dec 2002
Distribution: slackware!
Posts: 497

Rep: Reputation: 88
Quote:
Originally Posted by stormtracknole View Post
I just updated the SlackBuild packges myself and Google Chrome is now working.
same here again as stormtracknole
 
Old 09-08-2017, 03:31 PM   #12
Olaus
Member
 
Registered: Apr 2006
Location: Sweden
Distribution: Slackware64 14.2
Posts: 125

Rep: Reputation: 17
Quote:
Originally Posted by stormtracknole View Post
I just updated the SlackBuild packges myself and Google Chrome is now working. I also realized that -current also has the same version and will need a bump too.
Hi, how did you do the update? I downloaded the package from google and ran the Slackbuild script which generated google-chrome-61.0.3163.79-x86_64-1.txz, upgraded with this package which will demand mozilla-nss >= 3.26. Curious about your solution...
 
Old 09-08-2017, 03:46 PM   #13
stormtracknole
Member
 
Registered: Aug 2005
Location: The Big Easy
Distribution: Slackware, RHEL
Posts: 969

Rep: Reputation: 125Reputation: 125
Quote:
Originally Posted by Olaus View Post
Hi, how did you do the update? I downloaded the package from google and ran the Slackbuild script which generated google-chrome-61.0.3163.79-x86_64-1.txz, upgraded with this package which will demand mozilla-nss >= 3.26. Curious about your solution...
Make sure you that change the version numbers. This is the important snippet:

Code:
PKGNAM=mozilla-nss
SRCNAM=nss
VERSION=${VERSION:-3.32.0}
NSPR=${NSPR:-4.16.0}
BUILD=${BUILD:-1}
I changed both the nss and nspr packages. I grabbed those from here and here.
 
Old 09-08-2017, 03:49 PM   #14
stormtracknole
Member
 
Registered: Aug 2005
Location: The Big Easy
Distribution: Slackware, RHEL
Posts: 969

Rep: Reputation: 125Reputation: 125
I'm using the original SlackBuild (minus the new version numbers) which you can find here.
 
Old 09-08-2017, 04:33 PM   #15
USUARIONUEVO
Member
 
Registered: Apr 2015
Posts: 682

Rep: Reputation: 207Reputation: 207Reputation: 207
pat release nss packages today with 3.31.1 version, at least in current and 14.2
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
LXer: Moderate nss / nss-util / nspr security updates LXer Syndicated Linux News 0 04-06-2016 11:00 AM
LXer: Red Hat: 2014:1073-01: nss, nss-util, nss-softokn: Low Advisory LXer Syndicated Linux News 0 08-18-2014 10:10 PM
[SOLVED] Google Chrome 30 error nss 4.13.5 upgrade pramono Slackware 9 07-02-2014 02:00 PM
[SOLVED] Mozilla-NSS vulnerability (CVE-2013-1740) gengisdave Slackware 3 01-28-2014 10:19 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 09:41 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration